Skip to main content
POST
https://prod-api.raisedonors.com
/
api
/
Webhook
Create a Webhook
curl --request POST \
  --url https://prod-api.raisedonors.com/api/Webhook \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "eventTypesList": [],
  "notificationUrl": "<string>",
  "securityToken": "<string>"
}
'
{
  "id": 123,
  "name": "<string>",
  "eventTypes": "<string>",
  "notificationUrl": "<string>",
  "formatDisplay": "<string>",
  "statusDisplay": "<string>",
  "securityToken": "<string>",
  "createdDate": "<string>",
  "modifiedDate": "<string>",
  "eventTypesList": []
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The webhook request model.

Represents a webhook request.

name
string | null

Gets or sets the name.

eventTypesList
enum<integer>[] | null

Gets or sets the event types list.

Available options:
10,
11,
12,
20,
21,
22,
30,
31,
32,
40,
41,
42,
50,
51,
52
notificationUrl
string<uri> | null
status
enum<integer>

Gets or sets the status.

Available options:
1,
2
format
enum<integer>

Gets or sets the format.

Available options:
1,
2
securityToken
string | null

Gets or sets the security token.

Response

OK

Represents a webhook model.

id
integer<int64>

Gets or sets the identifier.

name
string | null
read-only

Gets or sets the name.

eventTypes
string | null
read-only

Gets or sets the event types.

notificationUrl
string | null
read-only

Gets or sets the notification URL.

status
enum<integer>

Gets or sets the status.

Available options:
1,
2
format
enum<integer>

Gets or sets the format.

Available options:
1,
2
formatDisplay
string | null

Gets or sets the format display.

statusDisplay
string | null

Gets or sets the status display.

securityToken
string | null
read-only

Gets or sets the security token.

createdDate
string | null
read-only

Gets or sets the created date.

modifiedDate
string | null
read-only

Gets or sets the modified date.

eventTypesList
enum<integer>[] | null

Gets or sets the event types list.

Available options:
10,
11,
12,
20,
21,
22,
30,
31,
32,
40,
41,
42,
50,
51,
52
Last modified on June 5, 2026